import 'addr.dart';

// ignore: uri_does_not_exist
import 'sse_.dart'
// ignore: uri_does_not_exist
    if (dart.library.html) 'sse_web.dart'
// ignore: uri_does_not_exist
    if (dart.library.io) 'sse_io.dart' as platform;

abstract class SSE {
  Stream<String> get stream;

  void close();
}

Future<SSE> connect(NetAddr addr) {
  return platform.connect(addr);
}

Future<int> send(NetAddr addr, String id, String data) async {
  return await platform.send(addr, id, data);
}
